Bug 68624 - (IDE VIA)Unable to rip audio CD from VIA controller-attached drive
(IDE VIA)Unable to rip audio CD from VIA controller-attached drive
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-11 15:52 EDT by Ian Pilcher
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Pilcher 2002-07-11 15:52:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1a) Gecko/20020708

Description of problem:
System board is Abit VP6 with VIA Apollo Pro 133A chipset.  Board also has
HighPoint HPT370 IDE RAID controller.

Because of problems with VIA and HighPoint IDE controllers (HPT370 doesn't seem
to like my Maxtor drive), my hard drives are attached to a Promise Ultra100
(20267) adapter.  This gives me the following configuration:

    VIA IDE:           /dev/hda (ATAPI CD-ROM)
                       /dev/hdc (ATAPI CD-RW)

    Promise Ultra100:  /dev/hde (30GB Western Digital HDD)
                       /dev/hdg (8GB Maxtor HDD)

    HighPoint HPT370:  (disabled in BIOS)

This configuration seems to work for everything except ripping audio
CDs.  Using either cdda2wav or cdparanoia to rip from /dev/hda or /dev/hdc (or
/dev/scd0 or /dev/scd1 with IDE-SCSI) causes lost interrupts and IDE resets. 
(The exact error that appears on the console varies depending on whether
IDE-SCSI is used or not, but the lost interrupts are always in the syslog.)

I enabled the HighPoint controller in the BIOS and moved the CD-ROM
drive to it.  (I now have /dev/hda = CD-RW, /dev/hde = 30GB HDD, /dev/hdg = 8GB
HDD, and /dev/hdi = CD-ROM.)  I can now rip audio tracks from the CD-ROM drive
(/dev/hdi or /dev/scd1) without problems.

Unlike the hard disk-related problems with VIA controllers that appeared early
in the 2.4.x kernel series, this problem occurs with either (U)DMA or PIO.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Attach CD-ROM (or CD-RW) drive to VIA IDE controller.
2. Try to rip an audio track with cdda2wav or cdparanoia.
3.
	

Actual Results:  Lost interrupts, ATAPI resets, etc.  Ripping never gets anywhere.

Expected Results:  cdda2wav or cdparanoia should be able to rip audio tracks
from CDDA-capable drives.

Additional info:
Comment 1 Alan Cox 2003-06-08 12:33:18 EDT
Should work with errata kernel - does it ?
Comment 2 Ian Pilcher 2003-06-09 22:13:35 EDT
I do not have Red Hat 7.3 installed anymore, but I can reproduce this behavior
on Red Hat 9 with kernel 2.4.20-8smp.  (2.4.20-18.9smp produces a slightly
different problem; see below.)

I do have to disconnect a drive in order to reproduce the behavior, however.
At some point I discovered that the following configuration eliminates the
problem:

  VIA VT82C686B:    ide0:  hda:  WDC WD300AB-00BPA1 (30GB HDD)
                           hdb:  (none)

                    ide1:  hdc:  CW038D ATAPI CD-R/RW
                           hdd:  CREATIVE CD5233E-N (CD-ROM)

  Maxtor PDC20269:  ide2:  hde:  WDC WD1800JB-00DUA0 (180GB HDD)
                           hdf:  (none)

                    ide3:  hdg:  WDC WD1200BB-00CAA1 (120GB HDD)
                           hdh:  (none)

  Maxtor PDC20269:  ide4:  hdi:  Maxtor 4G120J6 (120GB HDD)
                           hdj:  (none)

                    ide5:  hdk:  Maxtor 4G120J6 (120GB HDD)
                           hdl:  (none)

With the above configuration I can rip audio tracks from either hdc (scd0) or
hdd (scd1).

If I disconnect hda, boot kernel 2.4.20-8smp, and try to rip a track from hdc
(scd0), the lost interrupts reappear.  Ripping from hdd (scd1) still works,
even when hda is disconnected.

Behavior with kernel 2.4.20-18.9smp is similar, except that I get a kernel panic
instead of the lost interrupt messages.  The kernel panic is preceded by the
message, "kernel BUG at ide-iops.c:1262".  I can provide the rest of the gory
details if desired.

The key bit of weirdness, from my point of view, is that hdc works just fine if
a HDD is connected as hda.

I hope that the above is clear.
Comment 3 Alan Cox 2003-06-10 11:26:30 EDT
Bizarre but helpful. hda and b interact, and c and d interact but not in theory
a and (c or d). I'm not sure what to make of it just yet but will be digging
deeper into via again soon

Marked the bug Red Hat 9 as its still present
Comment 4 Ian Pilcher 2003-07-19 21:50:20 EDT
FYI, I get the exact same behavior with 2.6.0-0.test1.1.26, including the
apparent interaction between hda and hdc.
Comment 5 Bugzilla owner 2004-09-30 11:39:45 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.